Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.controller.portlet
Class ControllerPortletControllerContext

    java.lang.Object
      org.jboss.portal.core.controller.portlet.ControllerPortletControllerContext

All Implemented Interfaces:
  org.jboss.portal.portlet.controller.PortletControllerContext

    public class ControllerPortletControllerContext

extends java.lang.Object
implements org.jboss.portal.portlet.controller.PortletControllerContext

Version:
  $Revision: 630 $
Author:
  Julien Viet, Boleslaw Dawidowicz

Constructor Summary
`ControllerPortletControllerContext(ControllerContext controllerContext, Page page)`

Method Summary
`org.jboss.portal.portlet.spi.PortletInvocationContext` | `createPortletInvocationContext(java.lang.String s, org.jboss.portal.portlet.controller.state.PortletPageNavigationalState pageNavigationalState)`
`ControllerContext` | `getControllerContext()`
`org.jboss.portal.portlet.controller.event.EventControllerContext` | `getEventControllerContext()`
`Page` | `getPage()`
`java.lang.String` | `getPageId()`
`org.jboss.portal.portlet.info.PortletInfo` | `getPortletInfo(java.lang.String windowName)`
`ControllerStateControllerContext` | `getStateControllerContext()`
`Window` | `getWindow(java.lang.String windowName)`
`java.util.Set<java.lang.String>` | `getWindowNames()`
`org.jboss.portal.portlet.invocation.response.PortletInvocationResponse` | `invoke(org.jboss.portal.portlet.invocation.ActionInvocation actionInvocation)`
`org.jboss.portal.portlet.invocation.response.PortletInvocationResponse` | `invoke(java.util.List<javax.servlet.http.Cookie> cookies, org.jboss.portal.portlet.invocation.EventInvocation eventInvocation)` todo : handle cookies redistribution
`org.jboss.portal.portlet.invocation.response.PortletInvocationResponse` | `invoke(java.util.List<javax.servlet.http.Cookie> cookies, org.jboss.portal.portlet.invocation.RenderInvocation renderInvocation)` todo : handle cookies redistribution
`org.jboss.portal.portlet.invocation.response.PortletInvocationResponse` | `invoke(org.jboss.portal.portlet.invocation.ResourceInvocation resourceInvocation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ControllerPortletControllerContext

    public ControllerPortletControllerContext(ControllerContext controllerContext,
                                              Page page)

Method Detail

### getPage

    public Page getPage()

### getPageId

    public java.lang.String getPageId()

### getWindow

    public Window getWindow(java.lang.String windowName)

### getWindowNames

    public java.util.Set<java.lang.String> getWindowNames()

### getPortletInfo

    public org.jboss.portal.portlet.info.PortletInfo getPortletInfo(java.lang.String windowName)

  Specified by:
    `getPortletInfo` in interface `org.jboss.portal.portlet.controller.PortletControllerContext`

### createPortletInvocationContext

    public org.jboss.portal.portlet.spi.PortletInvocationContext createPortletInvocationContext(java.lang.String s,
                                                                                                org.jboss.portal.portlet.controller.state.PortletPageNavigationalState pageNavigationalState)

  Specified by:
    `createPortletInvocationContext` in interface `org.jboss.portal.portlet.controller.PortletControllerContext`

### invoke

    public org.jboss.portal.portlet.invocation.response.PortletInvocationResponse invoke(org.jboss.portal.portlet.invocation.ActionInvocation actionInvocation)
                                                                                  throws org.jboss.portal.portlet.PortletInvokerException

  Specified by:
    `invoke` in interface `org.jboss.portal.portlet.controller.PortletControllerContext`
  Throws:
    `org.jboss.portal.portlet.PortletInvokerException`

### invoke

    public org.jboss.portal.portlet.invocation.response.PortletInvocationResponse invoke(java.util.List<javax.servlet.http.Cookie> cookies,
                                                                                         org.jboss.portal.portlet.invocation.EventInvocation eventInvocation)
                                                                                  throws org.jboss.portal.portlet.PortletInvokerException

  todo : handle cookies redistribution

  Specified by:
    `invoke` in interface `org.jboss.portal.portlet.controller.PortletControllerContext`
  Throws:
    `org.jboss.portal.portlet.PortletInvokerException`

### invoke

    public org.jboss.portal.portlet.invocation.response.PortletInvocationResponse invoke(java.util.List<javax.servlet.http.Cookie> cookies,
                                                                                         org.jboss.portal.portlet.invocation.RenderInvocation renderInvocation)
                                                                                  throws org.jboss.portal.portlet.PortletInvokerException

  todo : handle cookies redistribution

  Specified by:
    `invoke` in interface `org.jboss.portal.portlet.controller.PortletControllerContext`
  Throws:
    `org.jboss.portal.portlet.PortletInvokerException`

### invoke

    public org.jboss.portal.portlet.invocation.response.PortletInvocationResponse invoke(org.jboss.portal.portlet.invocation.ResourceInvocation resourceInvocation)
                                                                                  throws org.jboss.portal.portlet.PortletInvokerException

  Specified by:
    `invoke` in interface `org.jboss.portal.portlet.controller.PortletControllerContext`
  Throws:
    `org.jboss.portal.portlet.PortletInvokerException`

### getEventControllerContext

    public org.jboss.portal.portlet.controller.event.EventControllerContext getEventControllerContext()

  Specified by:
    `getEventControllerContext` in interface `org.jboss.portal.portlet.controller.PortletControllerContext`

### getStateControllerContext

    public ControllerStateControllerContext getStateControllerContext()

  Specified by:
    `getStateControllerContext` in interface `org.jboss.portal.portlet.controller.PortletControllerContext`

### getControllerContext

    public ControllerContext getControllerContext()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD